Skip to main content
POST
/
payments
/
validations
Validate payment details
curl --request POST \
  --url https://api.paysway.dev/payments/validations \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "country": "<string>",
  "currency": "<string>",
  "creditorAgent": {
    "bic": "<string>",
    "clearingSystemMemberId": {
      "memberId": "<string>"
    },
    "branchId": "<string>"
  },
  "creditor": {
    "name": "<string>",
    "contactDetails": {
      "email": "<string>",
      "phone": "<string>"
    },
    "dateOfBirth": "2023-12-25",
    "taxId": "<string>",
    "documents": [
      {
        "value": "<string>",
        "type": "<string>"
      }
    ],
    "type": "INDIVIDUAL"
  },
  "intermediaryAgent1": {
    "bic": "<string>",
    "clearingSystemMemberId": {
      "memberId": "<string>"
    },
    "branchId": "<string>"
  },
  "intermediaryAgent2": {
    "bic": "<string>",
    "clearingSystemMemberId": {
      "memberId": "<string>"
    },
    "branchId": "<string>"
  },
  "intermediaryAgent3": {
    "bic": "<string>",
    "clearingSystemMemberId": {
      "memberId": "<string>"
    },
    "branchId": "<string>"
  },
  "settlementInformation": {
    "settlementSystem": "SCT"
  }
}
'
{ "status": "ALERT", "alerts": [ { "code": "CREDITOR_IBAN_INVALID_FORMAT" } ] }

Documentation Index

Fetch the complete documentation index at: https://docs.paysway.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Body

application/json
country
string

ISO 3166-1 alpha-2 code

Pattern: ^[A-Z]{2,2}$
currency
string

ISO 4217 alpha code

Pattern: ^[A-Z]{3,3}$
creditorAgent
object
creditorAccount
object
creditor
object
intermediaryAgent1
object
intermediaryAgent2
object
intermediaryAgent3
object
settlementInformation
object

Response

200 - application/json

Validations result returned successfully

status
enum<string>
required
Available options:
OK,
ALERT
alerts
object[]
required